Report a dependency artifact build result
curl --request POST \
--url https://api.veryfront.com/dependency-artifacts/{artifact_id}/attempts/{attempt_count}/result \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcome": "ready",
"graph": {
"graph_schema_version": 1,
"root_content_hash": "<string>",
"assets": [
{
"content_hash": "<string>",
"size": 1
}
]
}
}
'import requests
url = "https://api.veryfront.com/dependency-artifacts/{artifact_id}/attempts/{attempt_count}/result"
payload = {
"outcome": "ready",
"graph": {
"graph_schema_version": 1,
"root_content_hash": "<string>",
"assets": [
{
"content_hash": "<string>",
"size": 1
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcome: 'ready',
graph: {
graph_schema_version: 1,
root_content_hash: '<string>',
assets: [{content_hash: '<string>', size: 1}]
}
})
};
fetch('https://api.veryfront.com/dependency-artifacts/{artifact_id}/attempts/{attempt_count}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": true,
"state": "ready"
}Report a dependency artifact build result
Publishes a complete verified graph or records a sanitized failure for the build attempt owned by the signed runtime run.
POST
/
dependency-artifacts
/
{artifact_id}
/
attempts
/
{attempt_count}
/
result
Report a dependency artifact build result
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
⌘I